@echo off

echo ***klist tgt*** > log\klist.txt
klist tgt >> log\klist.txt
echo ******Complete.******
echo ***klist tickets***>> log\klist.txt
klist tickets >> log\klist.txt
echo ******Complete.****** >> log\klist.txt

echo **********

echo ******Extracting "Active Directory Web Services"******
del /f log\%COMPUTERNAME%_EVT_ActiveDirectoryWebServices.evtx
wevtutil epl "Active Directory Web Services" log\%COMPUTERNAME%_EVT_ActiveDirectoryWebServices.evtx
echo ******Complete.******
echo **********

echo ******Initiate DnsCmd /ZonePrint %USERDNSDOMAIN%****** > log\DnsCmd.txt
DnsCmd /ZonePrint %USERDNSDOMAIN% >> log\DnsCmd.txt
echo ******Complete.****** >> log\DnsCmd.txt
echo ******Initiate DnsCmd /ZonePrint_msdcs.%USERDNSDOMAIN%****** >> log\DnsCmd.txt
DnsCmd /ZonePrint _msdcs.%USERDNSDOMAIN% >> log\DnsCmd.txt
echo ******Complete.****** >> log\DnsCmd.txt
echo ******Initiate DnsCmd /ZoneInfo %USERDNSDOMAIN%****** >> log\DnsCmd.txt
DnsCmd /ZoneInfo %USERDNSDOMAIN% >> log\DnsCmd.txt
echo ******Complete.****** >> log\DnsCmd.txt
echo ******Initiate DnsCmd /ZoneInfo_msdcs.%USERDNSDOMAIN%****** >> log\DnsCmd.txt
DnsCmd /ZoneInfo _msdcs.%USERDNSDOMAIN% >> log\DnsCmd.txt
echo ******Complete.****** >> log\DnsCmd.txt
echo ******Initiate DnsCmd /EnumZones****** >> log\DnsCmd.txt
DnsCmd /EnumZones >> log\DnsCmd.txt
echo ******Complete.****** >> log\DnsCmd.txt
echo ******Initiate DnsCmd /Info****** >> log\DnsCmd.txt
DnsCmd /Info >> log\DnsCmd.txt
echo ******Complete.****** >> log\DnsCmd.txt

echo ************

echo ******dir %systemroot%\sysvol /s /a****** > log\sysvol.txt
dir %systemroot%\sysvol /s /a >> log\sysvol.txt
echo ******Complete.****** >> log\sysvol.txt
echo ******dir %systemroot%\sysvol_dfsr /s /a****** >> log\sysvol.txt
dir %systemroot%\sysvol_dfsr /s /a >> log\sysvol.txt
echo ******Complete.****** >> log\sysvol.txt

echo ************

echo ******Copying "auditpol /get /category:*"******
auditpol /get /category:* > log\auditpol.txt
echo ***************
COPY %WINDIR%\debug\dcpromo.log log\%COMPUTERNAME%_AD_dcpromo.log
echo ******
COPY %WINDIR%\debug\dcpromoui.log log\%COMPUTERNAME%_AD_dcpromoui.log
echo ******
COPY %WINDIR%\debug\netsetup.log log\%COMPUTERNAME%_DEBUG_netsetup.log
echo ******

COPY %systemroot%\system32\config\netlogon.dns log\%COMPUTERNAME%_DNS_netlogon.dns
echo ******Complete.******

echo ***nltest /dsgetsite*** > log\nltest.txt
nltest /dsgetsite >> log\nltest.txt
echo *********Complete.****** >> log\nltest.txt
echo ***nltest /sc_query:%USERDNSDOMAIN%*** >> log\nltest.txt
nltest /sc_query:%USERDNSDOMAIN% >> log\nltest.txt
echo *********Complete.****** >> log\nltest.txt

echo ******************

exit /B
